Bug 1499865 - [RFE] Implement DISCARD FOP for EC
Summary: [RFE] Implement DISCARD FOP for EC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Sunil Kumar Acharya
QA Contact: nchilaka
URL:
Whiteboard:
Depends On: 1461018
Blocks: 1503132 1518260
TreeView+ depends on / blocked
 
Reported: 2017-10-09 13:50 UTC by Sunil Kumar Acharya
Modified: 2018-09-07 10:52 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: Enhancement
Doc Text:
This feature implements support for discard operation on Erasure Coded volumes. This operation can be used to deallocate blocks inside a file. Within the given range, partial fragments are zeroed, and whole fragments are deallocated.
Clone Of: 1461018
Environment:
Last Closed: 2018-09-04 06:36:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:38:14 UTC

Description Sunil Kumar Acharya 2017-10-09 13:50:28 UTC
+++ This bug was initially created as a clone of Bug #1461018 +++

Adding discard functionality to EC.

--- Additional comment from Worker Ant on 2017-07-14 06:46:37 EDT ---

REVIEW: https://review.gluster.org/17777 (cluster/ec: Implement DISCARD FOP for EC) posted (#1) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-07-18 09:16:03 EDT ---

REVIEW: https://review.gluster.org/17777 (cluster/ec: Implement DISCARD FOP for EC) posted (#2) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-07-19 06:48:22 EDT ---

REVIEW: https://review.gluster.org/17777 (cluster/ec: Implement DISCARD FOP for EC) posted (#3) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-07-19 07:52:21 EDT ---

REVIEW: https://review.gluster.org/17777 (cluster/ec: Implement DISCARD FOP for EC) posted (#4) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-07-21 11:42:00 EDT ---

REVIEW: https://review.gluster.org/17777 (cluster/ec: Implement DISCARD FOP for EC) posted (#5) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-07-25 11:56:24 EDT ---

REVIEW: https://review.gluster.org/17777 (cluster/ec: Implement DISCARD FOP for EC) posted (#6) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-08-01 03:22:06 EDT ---

REVIEW: https://review.gluster.org/17777 (cluster/ec: Implement DISCARD FOP for EC) posted (#7) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-08-24 02:59:28 EDT ---

REVIEW: https://review.gluster.org/17777 (cluster/ec: Implement DISCARD FOP for EC) posted (#8) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-09-28 08:40:27 EDT ---

REVIEW: https://review.gluster.org/17777 (cluster/ec: Implement DISCARD FOP for EC) posted (#9) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

Comment 3 Atin Mukherjee 2017-11-29 06:55:51 UTC
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/123694/

Comment 6 nchilaka 2018-03-13 11:46:10 UTC
sosreport and vmcore at http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/nchilaka/bug.1499865/

Comment 10 nchilaka 2018-03-20 08:47:47 UTC
raised bug#1558433 - vmcore generated due to discard file operation

Comment 11 nchilaka 2018-03-26 12:53:20 UTC
as an RFE I have tested if discard fop is supported on an ecvolume.

It works as expected, hence moving to verified.
Any related issues ,if hit, will have new bugs raised.


[root@dhcp37-146 ecode]# fallocate -p -o 0 -l 1 testme
[root@dhcp37-146 ecode]# fallocate -p -o 0 -l 100 testme1
[root@dhcp37-146 ecode]# 

clientlog:
[2018-03-26 12:44:38.397823] W [fuse-bridge.c:1381:fuse_err_cbk] 0-glusterfs-fuse: 56808: DISCARD() ERR => -1 (Success)


[root@dhcp35-229 ~]# 
[root@dhcp35-229 ~]# rpm -qa|grep gluster
vdsm-gluster-4.17.33-1.2.el7rhgs.noarch
glusterfs-fuse-3.12.2-5.el7rhgs.x86_64
libvirt-daemon-driver-storage-gluster-3.9.0-14.el7.x86_64
glusterfs-libs-3.12.2-5.el7rhgs.x86_64
glusterfs-rdma-3.12.2-5.el7rhgs.x86_64
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
glusterfs-3.12.2-5.el7rhgs.x86_64
glusterfs-cli-3.12.2-5.el7rhgs.x86_64
python2-gluster-3.12.2-5.el7rhgs.x86_64
glusterfs-client-xlators-3.12.2-5.el7rhgs.x86_64
glusterfs-server-3.12.2-5.el7rhgs.x86_64
glusterfs-events-3.12.2-5.el7rhgs.x86_64
glusterfs-geo-replication-3.12.2-5.el7rhgs.x86_64
ugluster-nagios-addons-0.2.10-2.el7rhgs.x86_64
glusterfs-api-3.12.2-5.el7rhgs.x86_64
n[root@dhcp35-229 ~]# uname -a
Linux dhcp35-229.lab.eng.blr.redhat.com 3.10.0-862.el7.x86_64 #1 SMP Wed Mar 21 18:14:51 EDT 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@dhcp35-229 ~]#

Comment 14 errata-xmlrpc 2018-09-04 06:36:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.